[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.Notification

Handles notifications when a component is added or removed.

## Declaration

Source position: dbextctrls.pp line 45

`protected procedure TDBDateEdit.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification event.
`Operation` |  | Operation for the notification event.

## Description

Notification is an overridden procedure used to handle notifications performed when aComponent is added or removed. Notification calls the inherited method. When Operation contains opRemove, and AComponent is the DataSource for the control, the value in DataSource is set to Nil.